package com.gic.auth.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 协作人
 * @ClassName: CollaboratorDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/1 4:12 PM 
 */
public class CollaboratorDTO implements Serializable{
    private static final long serialVersionUID = 2462517418806290625L;

    /**
     * 新增参数校验分组
     */
    public interface SaveValid {
    }


    /**
     * ID
     */
    private Integer collaboratorId;

    /**
     * 名称
     */
    @NotBlank(message = "协作人名称不能为空", groups = {SaveValid.class})
    private String collaboratorName;

    /**
     * 商户
     */
    @NotNull(message = "主体商户ID不能为空", groups = {SaveValid.class})
    private Integer enterpriseId;

    /**
     * 协作商户
     */
    @NotNull(message = "协作商户ID不能为空", groups = {SaveValid.class})
    private Integer collaborationEnterpriseId;

    private String collaborationEnterpriseName;

    /**
     * 手机号码
     */
    @NotBlank(message = "手机号码不能为空", groups = {SaveValid.class})
    private String phone;

    /**
     * 应用ID
     */
    @NotNull(message = "协作应用ID不能为空", groups = {SaveValid.class})
    private String appId;

    /**
     * 应用名称
     */
    @NotBlank(message = "协作应用名称不能为空", groups = {SaveValid.class})
    private String appName;

    /**
     * 添加人名称
     */
    @NotBlank(message = "添加人名称不能为空", groups = {SaveValid.class})
    private String creator;

    /**
     * 资源组ids，可以多选，_隔开，类似_1_2_'
     */
    private String resourceIds;

    /**
     * 子应用ids，可以多选，用_隔开_2_3_
     */
    private String subAppIds;

    /**
     * 状态: 0:无效 1:youxiao
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private List<String> subAppIdList;

    private List<Integer> menuIdList;

    private List<Integer> resourceIdList;

    public Integer getCollaboratorId() {
        return collaboratorId;
    }

    public void setCollaboratorId(Integer collaboratorId) {
        this.collaboratorId = collaboratorId;
    }

    public String getCollaboratorName() {
        return collaboratorName;
    }

    public void setCollaboratorName(String collaboratorName) {
        this.collaboratorName = collaboratorName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getSubAppIds() {
        return subAppIds;
    }

    public void setSubAppIds(String subAppIds) {
        this.subAppIds = subAppIds;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getCollaborationEnterpriseId() {
        return collaborationEnterpriseId;
    }

    public void setCollaborationEnterpriseId(Integer collaborationEnterpriseId) {
        this.collaborationEnterpriseId = collaborationEnterpriseId;
    }

    public List<String> getSubAppIdList() {
        return subAppIdList;
    }

    public void setSubAppIdList(List<String> subAppIdList) {
        this.subAppIdList = subAppIdList;
    }

    public List<Integer> getMenuIdList() {
        return menuIdList;
    }

    public void setMenuIdList(List<Integer> menuIdList) {
        this.menuIdList = menuIdList;
    }

    public String getCollaborationEnterpriseName() {
        return collaborationEnterpriseName;
    }

    public void setCollaborationEnterpriseName(String collaborationEnterpriseName) {
        this.collaborationEnterpriseName = collaborationEnterpriseName;
    }

    public String getResourceIds() {
        return resourceIds;
    }

    public void setResourceIds(String resourceIds) {
        this.resourceIds = resourceIds;
    }

    public List<Integer> getResourceIdList() {
        return resourceIdList;
    }

    public void setResourceIdList(List<Integer> resourceIdList) {
        this.resourceIdList = resourceIdList;
    }
}
