package com.gic.auth.dto;

import java.io.Serializable;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/28 18:18
 */
public class ResourceDTO implements Serializable {
    private static final long serialVersionUID = 1609787491094703550L;
    /**
     *
     */
    private Integer resourceId;

    /**
     * 资源名称
     */
    private String resourceName;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 会员卡资源控件id
     */
    private Long memberCardResource;

    /**
     * 服务号资源
     */
    private Long fwhResource;

    /**
     * 小程序资源
     */
    private Long appletResource;

    /**
     * 门店资源
     */
    private Long storeResource;

    /**
     * 商品资源
     */
    private Long goodsResourceId;

    /**
     * 订单资源
     [
     {
     "channel":1,        // 渠道 1：线下门店， 2:达摩微商城， 3：微盟微商城
     "storeContent":1    // 门店id或门店选择器id， 多个逗号隔开
     }
     ]
     */
    private Integer orderResource;

    private String orderResourceJson;

    /**
     * 应用资源
     [
     {
     appId:1,    // 应用id
     appName:微商城   // 应用名称
     child:[
     appId: 10,          // 子应用id
     appName: 短信发送   // 子应用名称
     ]
     }
     ]
     */
    private Integer appResource;
    private String appResourceJson;

    /**
     * 短信签名资源
     [
     {
     "type":1,            // 全部签名:1，  部分签名:2
     "ids":[1,2,3]
     }
     ]
     */
    private Integer smsSignResource;
    private String smsSignResourceJson;

    private Integer userResourceCount;

    public Integer getResourceId() {
        return resourceId;
    }

    public void setResourceId(Integer resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getMemberCardResource() {
        return memberCardResource;
    }

    public void setMemberCardResource(Long memberCardResource) {
        this.memberCardResource = memberCardResource;
    }

    public Long getFwhResource() {
        return fwhResource;
    }

    public void setFwhResource(Long fwhResource) {
        this.fwhResource = fwhResource;
    }

    public Long getAppletResource() {
        return appletResource;
    }

    public void setAppletResource(Long appletResource) {
        this.appletResource = appletResource;
    }

    public Long getStoreResource() {
        return storeResource;
    }

    public void setStoreResource(Long storeResource) {
        this.storeResource = storeResource;
    }

    public Long getGoodsResourceId() {
        return goodsResourceId;
    }

    public void setGoodsResourceId(Long goodsResourceId) {
        this.goodsResourceId = goodsResourceId;
    }

    public Integer getOrderResource() {
        return orderResource;
    }

    public void setOrderResource(Integer orderResource) {
        this.orderResource = orderResource;
    }

    public String getOrderResourceJson() {
        return orderResourceJson;
    }

    public void setOrderResourceJson(String orderResourceJson) {
        this.orderResourceJson = orderResourceJson;
    }

    public Integer getAppResource() {
        return appResource;
    }

    public void setAppResource(Integer appResource) {
        this.appResource = appResource;
    }

    public String getAppResourceJson() {
        return appResourceJson;
    }

    public void setAppResourceJson(String appResourceJson) {
        this.appResourceJson = appResourceJson;
    }

    public Integer getSmsSignResource() {
        return smsSignResource;
    }

    public void setSmsSignResource(Integer smsSignResource) {
        this.smsSignResource = smsSignResource;
    }

    public String getSmsSignResourceJson() {
        return smsSignResourceJson;
    }

    public void setSmsSignResourceJson(String smsSignResourceJson) {
        this.smsSignResourceJson = smsSignResourceJson;
    }

    public Integer getUserResourceCount() {
        return userResourceCount;
    }

    public void setUserResourceCount(Integer userResourceCount) {
        this.userResourceCount = userResourceCount;
    }
}
