package com.gic.auth.qo;

import com.gic.enterprise.qo.PageQO;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-18 16:59
 */
public class AuditedGroupQO extends PageQO {
    private static final long serialVersionUID = 4181799724240655836L;

    public interface SaveValid{}
    public interface DelValid { }
    public interface GetValid{}

    /**
     *
     */
    @NotNull(message = "受审组id不能为空", groups = {DelValid.class, GetValid.class})
    private Integer auditedGroupId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 受审组name
     */
    @NotBlank(message = "受审组名称不能为空", groups = SaveValid.class)
    private String auditedGroupName;


    /**
     *
     */
    private Date createTime;

    @NotBlank(message = "请选择审核员", groups = SaveValid.class)
    private String userIds;

    private Integer allCheck;

    private Integer userCount;

    public Integer getAuditedGroupId() {
        return auditedGroupId;
    }

    public void setAuditedGroupId(Integer auditedGroupId) {
        this.auditedGroupId = auditedGroupId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getAuditedGroupName() {
        return auditedGroupName;
    }

    public void setAuditedGroupName(String auditedGroupName) {
        this.auditedGroupName = auditedGroupName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUserIds() {
        return userIds;
    }

    public void setUserIds(String userIds) {
        this.userIds = userIds;
    }

    public Integer getAllCheck() {
        return allCheck;
    }

    public void setAllCheck(Integer allCheck) {
        this.allCheck = allCheck;
    }

    public Integer getUserCount() {
        return userCount;
    }

    public void setUserCount(Integer userCount) {
        this.userCount = userCount;
    }


}
