package com.gic.auth.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.ResourceDTO;

/**
 * 
 * @ClassName: ResourceApiService
 * @Description:  
 * @author zhiwj
 * @date 2019/8/28 18:14
 */
public interface ResourceApiService {

    /**
     * 保存或更新资源
     * @Title: saveOrUpdateResource
     * @Description: 保存或更新资源
     * @author zhiwj 
     * @param resourceDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws 
     */
    ServiceResponse<Integer> saveOrUpdateResource(ResourceDTO resourceDTO);

    /**
     * 删除资源
     * @Title: delResource
     * @Description: 删除资源
     * @author zhiwj 
     * @param resourceId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws 
     */
    ServiceResponse<Integer> delResource(Integer resourceId);

    /**
     * 资源组列表
     * @Title: listResource
     * @Description:
     * @author zhiwj
     * @param resourceDTO
     * @param pageNum
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.auth.dto.ResourceDTO>>
     * @throws
     */
    ServiceResponse<Page<ResourceDTO>> listResource(ResourceDTO resourceDTO, Integer pageNum, Integer pageSize);

    /**
     * 查询资源详情
     * @Title: getResource
     * @Description: 
     * @author zhiwj 
     * @param resourceId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.auth.dto.ResourceDTO>>
     * @throws 
     */
    ServiceResponse<ResourceDTO> getResource(Integer resourceId);
}
