package com.gic.auth.dao.mapper;

import com.gic.auth.dto.AuditedGroupUserRelDTO;
import com.gic.auth.entity.TabAuditedGroupUserRel;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface TabAuditedGroupUserRelMapper {
    /**
     * 根据主键删除
     *
     * @param auditedGroupUserRelId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer auditedGroupUserRelId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAuditedGroupUserRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAuditedGroupUserRel record);

    /**
     * 根据主键查询
     *
     * @param auditedGroupUserRelId 主键
     * @return 实体对象
     */
    TabAuditedGroupUserRel selectByPrimaryKey(Integer auditedGroupUserRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAuditedGroupUserRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAuditedGroupUserRel record);

    int delByAuditedGroupId(@Param("auditedGroupId") Integer auditedGroupId);

    void insertSelectiveByNotExist(TabAuditedGroupUserRel auditedGroupUserRel);

    Integer updateStatusByUserIds(@Param("enterpriseId") Integer enterpriseId, @Param("auditedGroupId") Integer auditedGroupId, @Param("ids") List<Integer> userIdList);

    @MapKey("auditedGroupId")
    Map<Integer, Map<Integer,Long>> getUserCountByAuditedGroup(@Param("ids") List<Integer> auditedGroupIds);

    List<TabAuditedGroupUserRel> listAuditedGroup(AuditedGroupUserRelDTO groupUserRel);

    List<Integer> listAuditedGroupByUserId(@Param("enterpriseId") Integer enterpriseId, @Param("userId") Integer userId);
}