package com.gic.auth.dao.mapper;

import com.gic.auth.dto.AuditorAuditedGroupRelDTO;
import com.gic.auth.entity.TabAuditorAuditedGroupRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface TabAuditorAuditedGroupRelMapper {
    /**
     * 根据主键删除
     *
     * @param auditorAuditedGroupRelId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer auditorAuditedGroupRelId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAuditorAuditedGroupRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAuditorAuditedGroupRel record);

    /**
     * 根据主键查询
     *
     * @param auditorAuditedGroupRelId 主键
     * @return 实体对象
     */
    TabAuditorAuditedGroupRel selectByPrimaryKey(Integer auditorAuditedGroupRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAuditorAuditedGroupRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAuditorAuditedGroupRel record);

    int delRel(@Param("auditedGroupId") Integer auditedGroupId);

    void delByAuditorId(@Param("auditorId") Integer auditorId);

    void insertSelectiveByNotExist(TabAuditorAuditedGroupRel itemRel);

    void updateStatusByAuditedGroupIds(@Param("enterpriseId") Integer enterpriseId, @Param("auditorId") Integer auditorId, @Param("ids") List<Integer> auditedGroupIdList);

    List<TabAuditorAuditedGroupRel> listRel(AuditorAuditedGroupRelDTO auditorAuditedGroupRel);

    List<Map<String,Object>> getCountByAuditorIds(@Param("ids") List<Integer> auditorIdList);

    List<Integer> listRelByAuditedGroupIdAndAuditId(@Param("enterpriseId") Integer enterpriseId, @Param("auditedGroupIds") List<Integer> auditedGroupIds, @Param("projectAuditorIds") List<Integer> projectAuditorIds);


}