package com.gic.auth.dao.mapper;

import com.gic.auth.dto.AuditorDTO;
import com.gic.auth.entity.TabAuditor;
import com.gic.auth.qo.AuditorListQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

public interface TabAuditorMapper {
    /**
     * 根据主键删除
     *
     * @param auditorId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer auditorId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAuditor record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAuditor record);

    /**
     * 根据主键查询
     *
     * @param auditorId 主键
     * @return 实体对象
     */
    TabAuditor selectByPrimaryKey(Integer auditorId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAuditor record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAuditor record);

    TabAuditor getFirstAuditor(AuditorDTO auditorDTO);

    Integer delAuditor(@Param("auditorId") Integer auditorId);

    Page<TabAuditor> listAuditor(AuditorListQO auditorListQO);

    TabAuditor getAuditorByOpenid(@Param("openid") String openid);
}