package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabAuditorProjectItemRel;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface TabAuditorProjectItemRelMapper {
    /**
     * 根据主键删除
     *
     * @param auditorProjectItemRelId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer auditorProjectItemRelId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAuditorProjectItemRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAuditorProjectItemRel record);

    /**
     * 根据主键查询
     *
     * @param auditorProjectItemRelId 主键
     * @return 实体对象
     */
    TabAuditorProjectItemRel selectByPrimaryKey(Integer auditorProjectItemRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAuditorProjectItemRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAuditorProjectItemRel record);

    int delByAuditorId(@Param("auditorId") Integer auditorId);

    int insertSelectiveByNotExist(TabAuditorProjectItemRel itemRel);

    int updateStatusByProjectItemIds(@Param("enterpriseId") Integer enterpriseId, @Param("auditorId") Integer auditorId, @Param("ids") List<Integer> projectItemList);

    List<TabAuditorProjectItemRel> listRelByAuditorId(TabAuditorProjectItemRel auditorProjectItemRel);

    @MapKey("auditorId")
    Map<Integer, Map<Integer,Long>> getCountByAuditorIds(@Param("ids") List<Integer> auditorIdList);

    List<Integer> listAuditorIdByProjectItemId(@Param("enterpriseId") Integer enterpriseId, @Param("projectItemId") Integer projectItemId);
}