package com.gic.auth.dao.mapper;

import com.gic.auth.dto.AccountGroupListDTO;
import com.gic.auth.entity.TabSysAccountGroup;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabSysAccountGroupMapper {
    /**
     * 根据主键删除
     *
     * @param accountGroupId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer accountGroupId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysAccountGroup record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysAccountGroup record);

    /**
     * 根据主键查询
     *
     * @param accountGroupId 主键
     * @return 实体对象
     */
    TabSysAccountGroup selectByPrimaryKey(Integer accountGroupId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysAccountGroup record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysAccountGroup record);

    /**
     * 最大排序值
     * @Title: getMaxSortValueByEnterpriseId 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  int 
      */
    int getMaxSortValueByEnterpriseId(@Param("enterpriseId") Integer enterpriseId);

    /**
     * 查询同名称个数，用于校验重复
     * @Title: countByAccountGroupName 
     * @Description: 
      * @author guojuxing 
     * @param enterpriseId
     * @param accountGroupId
     * @param accountGroupName 
     * @return  int 
      */
    int countByAccountGroupName(@Param("enterpriseId") Integer enterpriseId,
            @Param("accountGroupId") Integer accountGroupId, @Param("accountGroupName") String accountGroupName);

    /**
     * 查询列表
     * @Title: listAccountGroupByEnterpriseId 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  java.util.List<com.gic.auth.entity.TabSysAccountGroup> 
      */
    List<TabSysAccountGroup> listAccountGroupByEnterpriseId(@Param("enterpriseId") Integer enterpriseId);
}