package com.gic.auth.dao.mapper;

import com.gic.auth.dto.AccountGroupListDTO;
import com.gic.auth.dto.AccountGroupRelDTO;
import com.gic.auth.entity.TabSysAccountGroupRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabSysAccountGroupRelMapper {
    /**
     * 根据主键删除
     *
     * @param accountGroupRelId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer accountGroupRelId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysAccountGroupRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysAccountGroupRel record);

    /**
     * 根据主键查询
     *
     * @param accountGroupRelId 主键
     * @return 实体对象
     */
    TabSysAccountGroupRel selectByPrimaryKey(Integer accountGroupRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysAccountGroupRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysAccountGroupRel record);

    /**
     * 逻辑删除分组下的组员关联
     * @Title: deleteByAccountGroupId 
     * @Description:
      * @author guojuxing
     * @param accountGroupId 
     * @return  void 
      */
    void deleteByAccountGroupId(@Param("accountGroupId") Integer accountGroupId);

    /**
     * 批量插入
     * @Title: insertForeach 
     * @Description:
      * @author guojuxing
     * @param list 
     * @return  void 
      */
    void insertForeach(@Param("list") List<AccountGroupRelDTO> list);

    /**
     * 逻辑删除用户分组关联
     * @Title: deleteByUserId 
     * @Description:
      * @author guojuxing
     * @param userId 
     * @return  void 
      */
    void deleteByUserId(@Param("userId") Integer userId,@Param("type") Integer type);


    void deleteByUserIdList(@Param("userIdList") List<Integer> userIdList, @Param("type") Integer type);

    /**
     * 查询用户分组列表数据
     * @Title: listByUserId 
     * @Description:
      * @author guojuxing
     * @param userId 
     * @return  java.util.List<com.gic.auth.entity.TabSysAccountGroupRel> 
      */
    List<TabSysAccountGroupRel> listByUserId(@Param("userId") Integer userId, @Param("type") Integer type);

    /**
     * 逻辑删除用户对应分组数据
     * @Title: deleteByAccountGroupIdAndUserId 
     * @Description:
      * @author guojuxing
     * @param userId
     * @param accountGroupId
     * @param type 
     * @return  void 
      */
    void deleteByAccountGroupIdAndUserId(@Param("userId")Integer userId,@Param("accountGroupId") Integer accountGroupId,@Param("type") Integer type);

    /**
     * 查询分组下的组员列表数据
     * @Title: listByAccountGroupId 
     * @Description:
      * @author guojuxing
     * @param accountGroupId 
     * @return  java.util.List<com.gic.auth.entity.TabSysAccountGroupRel> 
      */
    List<TabSysAccountGroupRel> listByAccountGroupId(@Param("accountGroupId") Integer accountGroupId, @Param("type") Integer type);

    List<AccountGroupListDTO> groupByAccountGroupId(@Param("list") List<Integer> accountGroupId);

    List<TabSysAccountGroupRel> listByAccountGroupIdList(@Param("list") List<Integer> accountGroupIdList, @Param("type") Integer type);
}