package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabSysCollaboratorRoleRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabSysCollaboratorRoleRelMapper {
    /**
     * 根据主键删除
     *
     * @param collaboratorRoleRelId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer collaboratorRoleRelId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysCollaboratorRoleRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysCollaboratorRoleRel record);

    /**
     * 根据主键查询
     *
     * @param collaboratorRoleRelId 主键
     * @return 实体对象
     */
    TabSysCollaboratorRoleRel selectByPrimaryKey(Integer collaboratorRoleRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysCollaboratorRoleRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysCollaboratorRoleRel record);

    void saveFetch(@Param("list") List<TabSysCollaboratorRoleRel> list);

    void deleteByCollaboratorId(@Param("collaboratorId") Integer collaboratorId);

    List<TabSysCollaboratorRoleRel> listByCollaboratorId(@Param("collaboratorId") Integer collaboratorId);
}