package com.gic.auth.dao.mapper;

import com.gic.auth.dto.ResourceDTO;
import com.gic.auth.entity.TabSysResource;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabSysResourceMapper {
    /**
     * 根据主键删除
     *
     * @param resourceId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer resourceId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysResource record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysResource record);

    /**
     * 根据主键查询
     *
     * @param resourceId 主键
     * @return 实体对象
     */
    TabSysResource selectByPrimaryKey(Integer resourceId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysResource record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysResource record);

    Page<TabSysResource> listResource(ResourceDTO resourceDTO);

    TabSysResource getBySelective(@Param("enterpriseId") Integer enterpriseId, @Param("resourceName") String resourceName, @Param("resourceId") Integer resourceId);

    List<TabSysResource> listByIds(@Param("ids") List<Integer> ids);
}