package com.gic.auth.dao.mapper;

import com.gic.auth.dto.RoleListDTO;
import com.gic.auth.entity.TabSysRole;
import com.gic.auth.qo.RoleListQO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabSysRoleMapper {
    /**
     * 根据主键删除
     *
     * @param roleId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer roleId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysRole record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysRole record);

    /**
     * 根据主键查询
     *
     * @param roleId 主键
     * @return 实体对象
     */
    TabSysRole selectByPrimaryKey(Integer roleId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysRole record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysRole record);

    /**
     * 查询列表
     * @Title: listRole 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.auth.entity.TabSysRole> 
      */
    List<RoleListDTO> listRole(RoleListQO params);

    /**
     * 逻辑删除
     * @Title: deleteByRoleId 
     * @Description:
      * @author guojuxing
     * @param roleId 
     * @return  int 
      */
    int deleteByRoleId(@Param("roleId") Integer roleId);

    List<TabSysRole> listRoleNoPage(@Param("enterpriseId") Integer enterpriseId);

    /**
     * 查询数量根据名称
     * @Title: countRepeatRoleName 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param roleId
     * @param roleName 
     * @return  int 
      */
    int countRepeatRoleName(@Param("enterpriseId") Integer enterpriseId, @Param("roleId") Integer roleId, @Param("roleName") String roleName);
}