package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabSysUnionEnterprise;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabSysUnionEnterpriseMapper {
    /**
     * 根据主键删除
     *
     * @param unionId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer unionId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysUnionEnterprise record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysUnionEnterprise record);

    /**
     * 根据主键查询
     *
     * @param unionId 主键
     * @return 实体对象
     */
    TabSysUnionEnterprise selectByPrimaryKey(Integer unionId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysUnionEnterprise record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysUnionEnterprise record);

    List<TabSysUnionEnterprise> getEnterpriseByUnionEnterpriseId(@Param("unionEnterpriseId") Integer unionEnterpriseId);

    Page<TabSysUnionEnterprise> pageUnionEnterprise(@Param("enterpriseId") Integer enterpriseId,
                                                    @Param("authorizationStatus") Integer authorizationStatus,
                                                    @Param("search") String search);
}