package com.gic.auth.service;

import com.gic.auth.dto.AccountGroupListDTO;
import com.gic.auth.dto.AccountGroupRelDTO;
import com.gic.auth.entity.TabSysAccountGroupRel;

import java.util.List;
/**
 * 账号分组组员关联
 * @ClassName: AccountGroupRelService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/10/31 9:35 AM 
 */
public interface AccountGroupRelService {

    /**
     * 批量新增
     * @Title: insertFetch 
     * @Description:
      * @author guojuxing
     * @param list 
     * @return  void 
      */
    void insertFetch(List<AccountGroupRelDTO> list);

    /**
     * 逻辑删除分组下的关联
     * @Title: deleteByAccountGroupId 
     * @Description:
      * @author guojuxing
     * @param accountGroupId 
     * @return  void 
      */
    void deleteByAccountGroupId(Integer accountGroupId);

    /**
     * 逻辑删除用户分组关联
     * @Title: deleteByUserId 
     * @Description:
      * @author guojuxing
     * @param userId 
     * @param type
     * @return  void 
      */
    void deleteByUserId(Integer userId, Integer type);

    void deleteByUserId(List<Integer> userId, Integer type);

    /**
     * 用户所在分组列表数据
     * @Title: listByUserId 
     * @Description:
      * @author guojuxing
     * @param userId 
     * @param type
     * @return  java.util.List<com.gic.auth.entity.TabSysAccountGroupRel> 
      */
    List<TabSysAccountGroupRel> listByUserId(Integer userId, Integer type);

    /**
     * 删除用户对应分组数据
     * @Title: deleteByAccountGroupIdAndUserId 
     * @Description:
      * @author guojuxing
     * @param userId
     * @param accountGroupId
     * @param type 
     * @return  void 
      */
    void deleteByAccountGroupIdAndUserId(Integer userId, Integer accountGroupId, Integer type);

    /**
     * 查询分组下的组员
     * @Title: listByAccountGroupId 
     * @Description:
      * @author guojuxing
     * @param accountGroupId 
     * @return  java.util.List<com.gic.auth.entity.TabSysAccountGroupRel> 
      */
    List<TabSysAccountGroupRel> listByAccountGroupId(Integer accountGroupId);

    List<TabSysAccountGroupRel> listByAccountGroupId(List<Integer> accountGroupIdList, Integer type);

    List<TabSysAccountGroupRel> listByAccountGroupId(Integer accountGroupId, Integer type);

    /**
     * 求分组组员数量
     * @Title: groupByAccountGroupId 
     * @Description:
      * @author guojuxing
     * @param accountGroupId 
     * @return  java.util.List<com.gic.auth.dto.AccountGroupListDTO> 
      */
    List<AccountGroupListDTO> groupByAccountGroupId(List<Integer> accountGroupId);
}
