package com.gic.auth.service;

import com.gic.auth.dto.RoleDTO;
import com.gic.auth.dto.RoleListDTO;
import com.gic.auth.entity.TabSysRole;
import com.gic.auth.qo.RoleListQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * 角色权限接口
 * @ClassName: RoleService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/3 9:37 AM 
 */
public interface RoleService {

    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer  主键
      */
    Integer save(RoleDTO dto);

    /**
     * 编辑
     * @Title: update 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  void 
      */
    void update(RoleDTO dto);

    /**
     * 逻辑删除
     * @Title: deleteById 
     * @Description:
      * @author guojuxing
     * @param id 
     * @return  void 
      */
    void deleteById(Integer id);

    /**
     * 查询分页列表数据
     * @Title: pageRole 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  com.github.pagehelper.Page<com.gic.auth.dto.RoleDTO> 
      */
    Page<RoleListDTO> pageRole(RoleListQO params);

    TabSysRole getById(Integer id);

    /**
     * 列表查询
     * @Title: listRole 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  java.util.List<com.gic.auth.entity.TabSysRole> 
      */
    List<TabSysRole> listRole(Integer enterpriseId);

    /**
     * 权限名称是否重复
     * @Title: isRepeatRoleName 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param roleId
     * @param roleName 
     * @return  boolean 
      */
    boolean isRepeatRoleName(Integer enterpriseId, Integer roleId, String roleName);
}
