package com.gic.auth.service;

import com.gic.auth.dto.UserRoleDTO;
import com.gic.auth.entity.TabSysUserRole;

import java.util.List;

/**
 * 用户角色关联
 * @ClassName: UserRoleService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/2 11:01 AM 
 */
public interface UserRoleService {

    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  void 
      */
    void save(UserRoleDTO dto);

    /**
     * 删除用户关联数据
     * @Title: deleteByUserId 
     * @Description:
      * @author guojuxing
     * @param userId 
     * @return  void 
      */
    void deleteByUserId(Integer userId);

    /**
     * 查询用户关联数据
     * @Title: listUserRoleByUserId 
     * @Description:
      * @author guojuxing
     * @param userId 
     * @return  java.util.List<com.gic.auth.entity.TabSysUserRole> 
      */
    List<UserRoleDTO> listUserRoleByUserId(Integer userId);

    /**
     * 根据角色查询用户角色关联数据
     * @Title: listUserRoleByRoleId 
     * @Description:
      * @author guojuxing
     * @param roleId 
     * @return  java.util.List<com.gic.auth.entity.TabSysUserRole> 
      */
    List<TabSysUserRole> listUserRoleByRoleId(Integer roleId);
}
