package com.gic.auth.service.impl;

import com.gic.auth.constant.AccountGroupMemberTypeEnum;
import com.gic.auth.dao.mapper.TabSysAccountGroupRelMapper;
import com.gic.auth.dto.AccountGroupListDTO;
import com.gic.auth.dto.AccountGroupRelDTO;
import com.gic.auth.entity.TabSysAccountGroupRel;
import com.gic.auth.service.AccountGroupRelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service("accountGroupRelService")
public class AccountGroupRelServiceImpl implements AccountGroupRelService{
    @Autowired
    private TabSysAccountGroupRelMapper tabSysAccountGroupRelMapper;
    @Override
    public void insertFetch(List<AccountGroupRelDTO> list) {
        tabSysAccountGroupRelMapper.insertForeach(list);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void deleteByAccountGroupId(Integer accountGroupId) {
        tabSysAccountGroupRelMapper.deleteByAccountGroupId(accountGroupId);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void deleteByUserId(Integer userId, Integer type) {
        if (type == null) {
            type = AccountGroupMemberTypeEnum.ADMIN.getCode();
        }
        tabSysAccountGroupRelMapper.deleteByUserId(userId, type);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void deleteByUserId(List<Integer> userId, Integer type) {
        if (type == null) {
            type = AccountGroupMemberTypeEnum.ADMIN.getCode();
        }
        tabSysAccountGroupRelMapper.deleteByUserIdList(userId, type);
    }

    @Override
    public List<TabSysAccountGroupRel> listByUserId(Integer userId, Integer type) {
        if (type == null) {
            type = AccountGroupMemberTypeEnum.ADMIN.getCode();
        }
        return tabSysAccountGroupRelMapper.listByUserId(userId, type);
    }

    @Override
    public void deleteByAccountGroupIdAndUserId(Integer userId, Integer accountGroupId, Integer type) {
        if (type == null) {
            type = AccountGroupMemberTypeEnum.ADMIN.getCode();
        }
        tabSysAccountGroupRelMapper.deleteByAccountGroupIdAndUserId(userId, accountGroupId, type);
    }

    @Override
    public List<TabSysAccountGroupRel> listByAccountGroupId(Integer accountGroupId) {
        return tabSysAccountGroupRelMapper.listByAccountGroupId(accountGroupId, null);
    }

    @Override
    public List<TabSysAccountGroupRel> listByAccountGroupId(List<Integer> accountGroupIdList, Integer type) {
        return tabSysAccountGroupRelMapper.listByAccountGroupIdList(accountGroupIdList, type);
    }

    @Override
    public List<TabSysAccountGroupRel> listByAccountGroupId(Integer accountGroupId, Integer type) {
        return tabSysAccountGroupRelMapper.listByAccountGroupId(accountGroupId, type);
    }

    @Override
    public List<AccountGroupListDTO> groupByAccountGroupId(List<Integer> accountGroupId) {
        return tabSysAccountGroupRelMapper.groupByAccountGroupId(accountGroupId);
    }
}
