package com.gic.auth.service.impl;

import com.gic.auth.dao.mapper.TabAuditedGroupMapper;
import com.gic.auth.dto.AuditedGroupDTO;
import com.gic.auth.entity.TabAuditedGroup;
import com.gic.auth.qo.AuditedGroupQO;
import com.gic.auth.service.AuditedGroupService;
import com.gic.commons.util.EntityUtil;
import com.gic.commons.util.GlobalInfo;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-18 11:29
 */
@Service
public class AuditedGroupServiceImpl implements AuditedGroupService {

    @Autowired
    private TabAuditedGroupMapper tabAuditedGroupMapper;

    @Override
    public boolean validAuditedGroupIsRepeat(Integer enterpriseId, String auditedGroupName, Integer auditedGroupId) {
        AuditedGroupDTO auditedGroupDTO = new AuditedGroupDTO();
        auditedGroupDTO.setEnterpriseId(enterpriseId);
        auditedGroupDTO.setAuditedGroupName(auditedGroupName);
        auditedGroupDTO.setAuditedGroupId(auditedGroupId);
        Integer line = tabAuditedGroupMapper.getFirstAuditedGroup(auditedGroupDTO);
        return line != null;
    }

    @Override
    public Integer save(AuditedGroupDTO auditedGroupDTO) {
        TabAuditedGroup auditedGroup = EntityUtil.changeEntityByJSON(TabAuditedGroup.class, auditedGroupDTO);
        auditedGroup.setStatus(GlobalInfo.DATA_STATUS_NORMAL);
        auditedGroup.setCreateTime(new Date());
        tabAuditedGroupMapper.insertSelective(auditedGroup);
        return auditedGroup.getAuditedGroupId();
    }

    @Override
    public Integer update(AuditedGroupDTO auditedGroupDTO) {
        TabAuditedGroup auditedGroup = new TabAuditedGroup();
        auditedGroup.setAuditedGroupId(auditedGroupDTO.getAuditedGroupId());
        auditedGroup.setAllCheck(auditedGroupDTO.getAllCheck());
        auditedGroup.setAuditedGroupName(auditedGroupDTO.getAuditedGroupName());
        return tabAuditedGroupMapper.updateByPrimaryKeySelective(auditedGroup);
    }

    @Override
    public Integer delAuditedGroup(Integer auditedGroupId) {
        return tabAuditedGroupMapper.delAuditedGroup(auditedGroupId);
    }

    @Override
    public Page<TabAuditedGroup> listAuditedGroup(AuditedGroupQO auditedGroupQO) {
        PageHelper.startPage(auditedGroupQO.getCurrentPage(), auditedGroupQO.getPageSize());
        return tabAuditedGroupMapper.listAuditedGroup(auditedGroupQO);
    }

    @Override
    public TabAuditedGroup getAuditedGroup(Integer auditedGroupId) {
        TabAuditedGroup tabAuditedGroup = tabAuditedGroupMapper.selectByPrimaryKey(auditedGroupId);
        return tabAuditedGroup != null && (GlobalInfo.DATA_STATUS_NORMAL == tabAuditedGroup.getStatus()) ? tabAuditedGroup : null;
    }

    @Override
    public boolean validAuditedGroupIsNotExist(List<Integer> auditedGroupIdList) {
        int count = tabAuditedGroupMapper.countByAuditedGroupIds(auditedGroupIdList);
        return count != auditedGroupIdList.size();
    }

    @Override
    public List<TabAuditedGroup> listAllAuditedGroup(Integer enterpriseId) {
        AuditedGroupQO auditedGroupQO = new AuditedGroupQO();
        auditedGroupQO.setEnterpriseId(enterpriseId);
        return tabAuditedGroupMapper.listAuditedGroup(auditedGroupQO);
    }
}
