package com.gic.auth.service.impl;

import com.gic.auth.dao.mapper.TabAuditorProjectItemRelMapper;
import com.gic.auth.entity.TabAuditorProjectItemRel;
import com.gic.auth.service.AuditorProjectItemRelService;
import com.gic.commons.util.GlobalInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-19 16:56
 */
@Service
public class AuditorProjectItemRelServiceImpl implements AuditorProjectItemRelService {

    @Autowired
    private TabAuditorProjectItemRelMapper tabAuditorProjectItemRelMapper;

    @Override
    public void addOrUpdateRel(Integer enterpriseId, Integer auditorId, List<Integer> projectItemList) {
        // 把所有auditorId的关联status设置为0
        tabAuditorProjectItemRelMapper.delByAuditorId(auditorId);
        // 插入不存在的关联
        for (Integer projectItemId : projectItemList) {
            TabAuditorProjectItemRel itemRel = new TabAuditorProjectItemRel();
            itemRel.setEnterpriseId(enterpriseId);
            itemRel.setAuditorId(auditorId);
            itemRel.setProjectItemId(projectItemId);
            itemRel.setStatus(GlobalInfo.DATA_STATUS_NORMAL);
            itemRel.setCreateTime(new Date());
            tabAuditorProjectItemRelMapper.insertSelectiveByNotExist(itemRel);
        }
        // 把所有projectItemId关联status都设置为1
        tabAuditorProjectItemRelMapper.updateStatusByProjectItemIds(enterpriseId, auditorId, projectItemList);
    }

    @Override
    public void delRelByAuditorId(Integer auditorId) {
        tabAuditorProjectItemRelMapper.delByAuditorId(auditorId);
    }

    @Override
    public List<TabAuditorProjectItemRel> listRelByAuditorId(Integer auditorId) {
        TabAuditorProjectItemRel auditorProjectItemRel = new TabAuditorProjectItemRel();
        auditorProjectItemRel.setAuditorId(auditorId);
        return tabAuditorProjectItemRelMapper.listRelByAuditorId(auditorProjectItemRel);
    }

    @Override
    public Map<Integer, Integer> getCountByAuditorIds(List<Integer> auditorIdList) {
        Map<Integer, Map<Integer, Long>> mapList = tabAuditorProjectItemRelMapper.getCountByAuditorIds(auditorIdList);
        HashMap<Integer, Integer> resultMap = new HashMap<>(mapList.size());
        for (Map.Entry<Integer, Map<Integer, Long>> entry : mapList.entrySet()) {
            Integer auditorId = entry.getKey();
            resultMap.put(auditorId, entry.getValue().get("projectItemCount").intValue());
        }
        return resultMap;
    }

    @Override
    public List<Integer> listAuditorIdByProjectItemId(Integer enterpriseId, Integer projectItemId) {
        return tabAuditorProjectItemRelMapper.listAuditorIdByProjectItemId(enterpriseId, projectItemId);
    }
}
