package com.gic.auth.service.impl;

import com.gic.auth.dao.mapper.TabSysMenuItemMapper;
import com.gic.auth.dto.MenuItemDTO;
import com.gic.auth.entity.TabSysMenuItem;
import com.gic.auth.service.MenuItemService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.List;

@Service("menuItemService")
public class MenuItemServiceImpl implements MenuItemService{
    @Autowired
    private TabSysMenuItemMapper tabSysMenuItemMapper;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void saveFetch(List<MenuItemDTO> list) {
        tabSysMenuItemMapper.insertForeach(list);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void deleteByMenuId(Integer menuId) {
        tabSysMenuItemMapper.deleteByMenuId(menuId);
    }

    @Override
    public List<TabSysMenuItem> listMenuItemByMenuId(Integer menuId) {
        return tabSysMenuItemMapper.listMenuItemByMenuId(menuId);
    }

    @Override
    public List<TabSysMenuItem> listMenuItemByMenuId(List<Integer> menuId) {
        if (CollectionUtils.isEmpty(menuId)) {
            return null;
        }
        return tabSysMenuItemMapper.listMenuItemByMenuIdList(menuId);
    }

    @Override
    public List<Integer> getOperationItemIdList() {
        return tabSysMenuItemMapper.getOperationItemIdList();
    }
}
