package com.gic.auth.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.MenuItemDTO;
import com.gic.auth.service.MenuItemApiService;
import com.gic.auth.service.MenuItemService;
import com.gic.commons.util.EntityUtil;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service("menuItemApiService")
public class MenuItemApiServiceImpl implements MenuItemApiService {
    @Autowired
    private MenuItemService menuItemService;

    @Override
    public ServiceResponse<List<MenuItemDTO>> listMenuItemByMenuId(Integer menuId) {
        List<MenuItemDTO> list = EntityUtil.changeEntityListNew(MenuItemDTO.class,
                menuItemService.listMenuItemByMenuId(menuId));
        if (CollectionUtils.isNotEmpty(list)) {
            return ServiceResponse.success(list);
        }
        return ServiceResponse.success(new ArrayList<>());
    }
}
