package com.gic.auth.web.controller;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.AuthCodeDTO;
import com.gic.auth.service.AuthCodeApiService;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.utils.UserDetailUtils;
import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Calendar;
import java.util.Date;

@RestController
public class AuthCodeController {
    private static final Logger log = LogManager.getLogger(AuthCodeController.class);

    @Autowired
    private AuthCodeApiService authCodeApiService;

    @RequestMapping("send-auth-code")
    public RestResponse sendAuthCode(Integer eid){
        Integer enterpriseId = UserDetailUtils.getUserDetail().getEnterpriseId();
        //todo 调用发送验证码模块获取验证码
        String code = "12345";
        AuthCodeDTO authCodeDTO = new AuthCodeDTO();
        authCodeDTO.setAuthCode(code);
        authCodeDTO.setEnterpriseId(enterpriseId);
        authCodeDTO.setRelationId(eid);
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(new Date());
        calendar.add(Calendar.MINUTE, 5);
        authCodeDTO.setExpirationTime(calendar.getTime());
        ServiceResponse<Integer> serviceResponse = this.authCodeApiService.saveAuth(authCodeDTO);
        return RestResponse.success(serviceResponse.getResult());
    }

    @RequestMapping("expire-auth-code")
    public RestResponse expireAuthCode(Integer authCodeId){
        ServiceResponse<Integer> serviceResponse = this.authCodeApiService.expireAuthCode(authCodeId);
        return RestResponse.success(serviceResponse.getResult());
    }

    @RequestMapping("get-auth-code")
    public RestResponse getAuthCode(Integer eid){
        Integer enterpriseId = UserDetailUtils.getUserDetail().getEnterpriseId();
        ServiceResponse<AuthCodeDTO> authCode = this.authCodeApiService.getAuthCode(enterpriseId, eid);
        return RestResponse.success(authCode.getResult());
    }
}
