package com.gic.auth.web.controller;

import java.util.List;

import com.gic.auth.web.vo.UserOperationItemAuthVO;
import com.gic.enterprise.utils.ResultControllerUtils;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.MenuDTO;
import com.gic.auth.service.MenuApiService;
import com.gic.auth.service.MenuItemApiService;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.response.EnterpriseRestResponse;
import com.gic.enterprise.utils.UserDetailUtils;

@RestController
public class MenuController {

    private final static Logger LOGGER = LogManager.getLogger(MenuController.class);
    @Autowired
    private MenuApiService menuApiService;
    @Autowired
    private MenuItemApiService menuItemApiService;

    @RequestMapping("login-user-menu")
    public RestResponse loginUserMenu(Integer currentMenu) {
        Integer userId = UserDetailUtils.getUserDetail().getUserId();
        ServiceResponse<List<MenuDTO>> userMenu = this.menuApiService.getUserMenuOfGic(userId, currentMenu);
        if (userMenu.isSuccess()) {
            return RestResponse.success(userMenu.getResult());
        }
        return EnterpriseRestResponse.failure(userMenu);
    }

    @RequestMapping("login-user-operation-item")
    public RestResponse loginUserOperationItem() {
        Integer userId = UserDetailUtils.getUserDetail().getUserId();
        return ResultControllerUtils.commonResult(this.menuApiService.getNoAuthOperationItemOfGic(userId),
                UserOperationItemAuthVO.class);
    }
}
