package com.gic.auth.web.qo;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/29 10:54
 */
public class ResourceQO implements Serializable {
    private static final long serialVersionUID = -2010270945608110479L;

    public interface SaveValid{}

    /**
     *
     */
    private Integer resourceId;

    /**
     * 资源名称
     */
    @NotBlank(message = "资源名不能为空", groups = SaveValid.class)
    private String resourceName;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 会员卡资源控件id
     */
    private Long memberCardResource;

    /**
     * 服务号资源
     */
    private Long fwhResource;

    /**
     * 小程序资源
     */
    private Long appletResource;

    /**
     * 门店资源
     */
    //    private Long storeResource;
    private StoreResouceQO storeResouceJSON;

    /**
     * 商品资源
     */
//    private Long goodsResourceId;

    private GoodsResouceQO goodsResource;

    /**
     * 订单资源
     */
    private List<OrderResourceQO> orderResourceJSON;

    private List<List<Long>> appResourceJSON;

    private List<SmsSignResourceQO> smsSignResourceJSON;

    public Integer getResourceId() {
        return resourceId;
    }

    public void setResourceId(Integer resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getMemberCardResource() {
        return memberCardResource;
    }

    public void setMemberCardResource(Long memberCardResource) {
        this.memberCardResource = memberCardResource;
    }

    public Long getFwhResource() {
        return fwhResource;
    }

    public void setFwhResource(Long fwhResource) {
        this.fwhResource = fwhResource;
    }

    public Long getAppletResource() {
        return appletResource;
    }

    public void setAppletResource(Long appletResource) {
        this.appletResource = appletResource;
    }

    public StoreResouceQO getStoreResouceJSON() {
        return storeResouceJSON;
    }

    public void setStoreResouceJSON(StoreResouceQO storeResouceJSON) {
        this.storeResouceJSON = storeResouceJSON;
    }

    public List<OrderResourceQO> getOrderResourceJSON() {
        return orderResourceJSON;
    }

    public void setOrderResourceJSON(List<OrderResourceQO> orderResourceJSON) {
        this.orderResourceJSON = orderResourceJSON;
    }

    public List<List<Long>> getAppResourceJSON() {
        return appResourceJSON;
    }

    public void setAppResourceJSON(List<List<Long>> appResourceJSON) {
        this.appResourceJSON = appResourceJSON;
    }

    //    public Long getGoodsResourceId() {
//        return goodsResourceId;
//    }
//
//    public void setGoodsResourceId(Long goodsResourceId) {
//        this.goodsResourceId = goodsResourceId;
//    }

    public GoodsResouceQO getGoodsResource() {
        return goodsResource;
    }

    public void setGoodsResource(GoodsResouceQO goodsResource) {
        this.goodsResource = goodsResource;
    }

    public List<SmsSignResourceQO> getSmsSignResourceJSON() {
        return smsSignResourceJSON;
    }

    public void setSmsSignResourceJSON(List<SmsSignResourceQO> smsSignResourceJSON) {
        this.smsSignResourceJSON = smsSignResourceJSON;
    }
}
